# $Revision: 1.37 $, $Date: 2010/02/04 19:17:38 $
#
# Conditional build:
%bcond_without	dbus		# dbus support
#
%define		qtver	4.6.1
#%define		_svnver	850421

Summary:	Strigi desktop search
Summary(pl.UTF-8):	System wyszukiwania Strigi
Name:		strigi
Version:	0.7.2
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://www.vandenoever.info/software/strigi/%{name}-%{version}.tar.bz2
# Source0-md5:	ca09ba176cf3ffe9afce4d92f38f9a85
URL:		http://strigi.sourceforge.net/
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	bzip2-devel
BuildRequires:	clucene-core-devel
BuildRequires:	cmake >= 2.6.2
BuildRequires:	cppunit-devel
%{?with_dbus:BuildRequires:	dbus-devel >= 1.0}
BuildRequires:	exiv2-devel >= 0.18.2
BuildRequires:	expat-devel
BuildRequires:	fam-devel
BuildRequires:	libxml2-devel
BuildRequires:	log4cxx-devel
%{?with_dbus:BuildRequires:	pkgconfig}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.293
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Here are the main features of Strigi Desktop Search: very fast
crawling, very small memory footprint, no hammering of the system,
pluggable backend (currently clucene and hyperestraier, sqlite3 and
xapian are in the works), communication between daemon and search
program over an abstract interface with two implementations: DBus and
a simple Unix socket. Especially the DBus interface makes it very easy
to write client applications. There are a few sample scripts in the
code using Perl, Python, GTK+ and Qt. Writing clients is so easy that
any GNOME or KDE app could implement this. Additionally, there is a
simple interface for implementing plugins for extracting information.
We'll try to reuse the kat plugins, although native plugins will have
a large speed advantage. Strigi also has calculation of sha1 for every
file crawled which allows for fast finding of duplicate files.

%description -l pl.UTF-8
Główne cechy systemu wyszukiwania Strigi to: bardzo szybkie
przeglądanie, bardzo mały narzut pamięciowy, nieprzytykanie systemu,
backend z obsługą wtyczek (aktualnie clucene i hyperestraier, sqlite3
i xapian w trakcie rozwoju), komunikacja między demonem a programem
wyszukującym po abstrakcyjnym interfejsie z dwiema implementacjami:
DBus i prostym gdzieździe uniksowym. Zwłaszcza interfejs DBus znacznie
ułatwia pisanie aplikacji klienckich. Istnieje kilka przykładowych
skryptów napisanych z użyciem Perla, Pythona, GTK+ i Qt. Tworzenie
klientów jest tak proste, że każda aplikacja GNOME czy KDE może to
zaimplementować. Ponadto istnieje prosty interfejs do implementowania
wtyczek do wydobywania informacji. Autorzy będą próbowali
wykorzystywać wtyczki kata, ale natywne wtyczki będą miały większą
szybkość. Strigi ma także obliczanie sha1 dla każdego przeglądanego
pliku, co pozwala na szybkie znajdowanie duplikatów.

%package devel
Summary:	Header files for strigi
Summary(pl.UTF-8):	Pliki nagłówkowe dla strigi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for strigi.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla strigi.

%prep
%setup -q

%build
install -d build
cd build
# add this to get verbose output
#-DCMAKE_VERBOSE_MAKEFILE=1 \
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_AR=/usr/bin/ar \
	-DENABLE_INOTIFY=1 \
	-DENABLE_FAM=1 \
	-DENABLE_LOG4CXX=1 \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libsearchclient.so.*.*.*
%attr(755,root,root) %{_libdir}/libstreamanalyzer.so.*.*.*
%attr(755,root,root) %{_libdir}/libstreams.so.*.*.*
%attr(755,root,root) %{_libdir}/libstrigihtmlgui.so.*.*.*
%attr(755,root,root) %{_libdir}/libstrigiqtdbusclient.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsearchclient.so.0
%attr(755,root,root) %ghost %{_libdir}/libstreamanalyzer.so.0
%attr(755,root,root) %ghost %{_libdir}/libstreams.so.0
%attr(755,root,root) %ghost %{_libdir}/libstrigihtmlgui.so.0
%attr(755,root,root) %ghost %{_libdir}/libstrigiqtdbusclient.so.0
%dir %{_libdir}/strigi
%attr(755,root,root) %{_libdir}/strigi/*.so
%{?with_dbus:%{_datadir}/dbus-1/services/*.service}
%dir %{_datadir}/strigi
%{_datadir}/strigi/fieldproperties

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsearchclient.so
%attr(755,root,root) %{_libdir}/libstreamanalyzer.so
%attr(755,root,root) %{_libdir}/libstreams.so
%attr(755,root,root) %{_libdir}/libstrigihtmlgui.so
%attr(755,root,root) %{_libdir}/libstrigiqtdbusclient.so
%{_libdir}/strigi/*.cmake
%dir %{_includedir}/strigi
%{_includedir}/strigi/*.h
%{_includedir}/strigi/qtdbus
%{_pkgconfigdir}/libstreamanalyzer.pc
%{_pkgconfigdir}/libstreams.pc

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: strigi.spec,v $
Revision 1.37  2010/02/04 19:17:38  arekm
- up to 0.7.2

Revision 1.36  2010/01/11 21:39:36  arekm
- up to 0.7.1

Revision 1.35  2009/12/08 07:17:25  paszczus
- Qt4.6 isn`t required for now. 4.5.2 is enought; rel 3

Revision 1.34  2009/12/03 20:05:15  shadzik
- rebuild with exiv2 0.18.2
- rel 2

Revision 1.33  2009/08/28 12:17:13  arekm
- up to 0.7.0

Revision 1.32  2009/07/21 23:35:10  shadzik
- 0.6.5

Revision 1.31  2009/05/30 16:10:39  charles
- BR: pkgconfig (for dbus)
- BR s/gamin-devel/fam-devel/

Revision 1.30  2009/02/03 20:50:24  arekm
- revert (unreliable according to comments)

Revision 1.29  2009/02/03 20:47:39  arekm
- BR: hyperestraier-devel

Revision 1.28  2009/02/03 20:29:12  arekm
- rel 2; enable exiv2, gamin, log4cxx, inotify

Revision 1.27  2009/02/02 06:41:39  shadzik
- trashed TODO

Revision 1.26  2009/02/02 06:40:14  shadzik
- merged from DEVEL

Revision 1.23.2.5  2009/02/02 06:39:18  shadzik
- 0.6.4

Revision 1.23.2.4  2009/01/12 22:36:39  shadzik
- 0.6.3

Revision 1.23.2.3  2009/01/03 15:25:34  rotom
- up to 0.6.2

Revision 1.23.2.2  2008/08/21 15:30:39  paszczus
- updated to snap 850421

Revision 1.23.2.1  2008/08/09 15:28:44  shadzik
- 0.5.12 svn rev 844382

Revision 1.23  2008/08/05 23:27:25  shadzik
- 0.5.11

Revision 1.22  2008/06/25 12:36:16  shadzik
- verobisty off by default

Revision 1.21  2008/06/25 11:46:41  shadzik
- kill useless BRs

Revision 1.20  2008/06/02 16:15:12  rotom
- up to 0.5.10

Revision 1.19  2008-05-16 17:06:20  rotom
- 0.5.9

Revision 1.18  2008-03-24 16:57:29  shadzik
- rel 2
- rebuild with new clucene-core 0.9.20

Revision 1.17  2008-03-05 21:03:23  arekm
- properl url

Revision 1.16  2008-02-20 12:31:33  rotom
- 0.5.8

Revision 1.15  2008-02-07 09:54:58  ankry
- unix -> Unix

Revision 1.14  2008-02-06 18:05:02  rotom
- BR added
- rel 2

Revision 1.13  2008-01-20 15:32:30  glen
- more BR, add dbus bcond

Revision 1.12  2008-01-20 05:25:24  glen
- rpm macros for cmake

Revision 1.11  2007-11-04 19:42:45  qboosh
- BR clucene-core-devel (not just main)

Revision 1.10  2007/11/04 19:38:24  qboosh
- more ghosts
- plugins moved from -devel to base

Revision 1.9  2007/11/04 19:07:49  rotom
- up to 0.5.7

Revision 1.8  2007/08/27 09:08:03  deejay1
- build Qt4 client and strigi daemon (added BR's)
- rel. 3

Revision 1.7  2007/08/26 17:30:07  shadzik
- don't package dead symlinks
- rel 2

Revision 1.6  2007/08/09 20:48:03  rotom
- up to 0.5.5

Revision 1.5  2007/06/03 11:23:52  qboosh
- .so symlink moved to -devel
- fieldproperties moved to base
- use verbose makefile (don't hide commands)

Revision 1.4  2007/06/03 09:43:41  qboosh
- pl

Revision 1.3  2007/06/02 00:02:58  shadzik
- proper libsuffix for 64bit architectures
- rel 2

Revision 1.2  2007/06/01 21:34:10  shadzik
- add description
- adapterized

Revision 1.1  2007/06/01 21:24:33  shadzik
- initial
- almost finished, rel 1 (i need this to test kde4)
